#!/bin/bash
#
# change next two lines according to your local isoem installation
export ISOEM_DIR=/home/projects/rna-reads-em/isoem
export ISOEM_TAR=/home/projects/rna-reads-em/isoem/lib/isoform-accuracy-1.0.jar
#
#
export GENE_FILE=`pwd`/REFS/hg19KnownToGnfAtlas2.txt
export GTF=`pwd`/REFS/hg19KnownGene.gtf
export MRNA=`pwd`/REFS/hg19KnownGeneMrna.txt

end

if [ $# -ne 1 ]
then
	echo Usage: $0 cluster_abundances
	exit 1
else
	freq=$1
fi
echo Gene Abundace: $freq
echo CurrentDir`pwd`
ro=random

for n in   10000 #number if reads
do
  echo "n="  $n
  mkdir $n
  cd $n
  for p in 2 # 1  # single or paired
  do
    for l in   100 #read length  
    do
      for isoD in  "geometric,0.5" # "uniform" #isoform distribution
      do 
        dirName="nr=${n}_rl=${l}_fragLenDistrib=normal,250,25_isofD=${isoD}_firstReadOrigin=${ro}_${p}"
        mkdir $dirName
        cd $dirName
	echo SIM `pwd`
        
        simFile=simulation.properties
        touch $simFile
        echo "gtfFile=$GTF" > $simFile
        echo "clustersFile=$GENE_FILE" >> $simFile
        echo "isoformSequencesFile=$MRNA" >> $simFile
	echo "fragmentLengthDistribution=normal,250,25" >> $simFile
	echo "fragmentStartingPositionDistribution=uniform" >> $simFile
	echo "clusterDistribution=customWeights,$freq" >> $simFile
        echo "isoformDistribution=${isoD}" >> $simFile
	echo "numberOfReads=${n}" >> $simFile
	echo "readLength=${l}" >> $simFile
	echo "randomNumberGeneratorSeed=123" >> $simFile
	echo "readsPerFragment=${p}" >> $simFile
	echo "firstReadOrigin=${ro}" >> $simFile
	echo "outputCoordinates=FASTQ" >> $simFile
	echo "polyALength=250" >> $simFile
	../../BIN/readsim.sh

	cd ..
      done
    done
  done
  cd ..
done


